<!DOCTYPE html>
<html>
  <head>
    <title>Plant Health Detection</title>
  </head>
  <body>
    <h1>Plant Health Detection</h1>
    <form id="upload-form" enctype="multipart/form-data">
      <label for="image-upload">Choose an image:</label>
      <input type="file" id="image-upload" name="image">
      <button type="submit">Upload and Detect</button>
    </form>
    <div id="result-container"></div>
    <script>
      const form = document.getElementById('upload-form');
      const resultContainer = document.getElementById('result-container');
      form.addEventListener('submit', async (event) => {
        event.preventDefault();
        resultContainer.innerHTML = '<p>Uploading and detecting image...</p>';
        const formData = new FormData(form);
        try {
          const response = await fetch('/detect', {
            method: 'POST',
            body: formData
          });
          const result = await response.json();
          resultContainer.innerHTML = `
            <p><strong>Vegetable:</strong> ${result.vegetable}</p>
            <p><strong>Health Status:</strong> ${result.healthStatus}</p>
          `;
        } catch (error) {
          resultContainer.innerHTML = '<p>Error detecting image. Please try again later.</p>';
        }
      });
    </script>
  </body>
</html>
